//This file is meant to be left as is

#ifndef car_h
#define car_h

#include <ESPAsyncWebServer.h>
#include <WString.h>
#include "DNSServer.h"

namespace car
{  
  void initCar();

  void IRAM_ATTR checkTimeout();
  void dnsTask( void * parameter );

  int getTrottle();
  int getRotation();

  void writeMotorL(int motorTrottle);
  void writeMotorR(int motorTrottle);
  void writeMotors(int motorL, int motorR);
  

  void task(void * pvParameters);
  void onWebsocket(AsyncWebSocket * server, AsyncWebSocketClient * client, AwsEventType type, void * arg, uint8_t *data, size_t len);
  void initMotor();
  int toMotorSpeed(int x);
};

#endif
